# markdownlint-cli

Custom image for markdownlint-cli

[![Build Status](https://img.shields.io/drone/build/docker/markdownlint-cli?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/docker/markdownlint-cli)
[![Docker Hub](https://img.shields.io/badge/dockerhub-latest-blue.svg?logo=docker&logoColor=white)](https://hub.docker.com/r/thegeeklab/markdownlint-cli)
[![Quay.io](https://img.shields.io/badge/quay-latest-blue.svg?logo=docker&logoColor=white)](https://quay.io/repository/thegeeklab/markdownlint-cli)
[![Source: Gitea](https://img.shields.io/badge/source-gitea-blue.svg?logo=gitea&logoColor=white)](https://gitea.rknet.org/docker/markdownlint-cli)
[![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/docker/markdownlint-cli/src/branch/main/LICENSE)

Custom wrapper Docker image for [markdownlint-cli](https://github.com/igorshubovych/markdownlint-cli) optimized for CI.

## Usage

```Shell
docker run -v $(pwd):/drone/src markdownlint-cli

# or pass arguments to markdownlint-cli
docker run -v $(pwd):/drone/src markdownlint-cli -p .gitignore
```

## Build

```Shell
docker build -t markdownlint-cli:latest .
```

## License

This project is licensed under the MIT License - see the [LICENSE](https://gitea.rknet.org/docker/markdownlint-cli/src/branch/main/LICENSE) file for details.
